Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class RowSetHelper

`java.lang.Object
oracle.jbo.common.PropertiesHelper
oracle.jbo.common.RowSetHelper`

All Implemented Interfaces:
  Properties

Direct Known Subclasses:
  oracle.jbo.server.RowSetImpl, RowSetIteratorHelper

public abstract class RowSetHelper
extends PropertiesHelper

Internal: Applications should not use this class.

Field Summary
`protected com.sun.java.util.collections.ArrayList` | `listeners`
`protected com.sun.java.util.collections.ArrayList` | `mMgmtListeners`
`protected java.lang.String` | `mName`

Fields inherited from class oracle.jbo.common.PropertiesHelper
`mProperties`

Constructor Summary
`RowSetHelper()`

Method Summary
`void` | `addListener(java.lang.Object target)`
`void` | `addManagementListener(RowSetManagementListener target)`
`void` | `fireMgmtIteratorClosed(RowSetManagementEvent event)`
`void` | `fireMgmtIteratorReset(RowSetManagementEvent event)`
`void` | `fireNavigationEvent(NavigationEvent event)`
`void` | `fireRangeRefreshed(RangeRefreshEvent event)`
`void` | `fireRangeScrolled(ScrollEvent event)`
`void` | `fireRowDeleted(DeleteEvent event)`
`void` | `fireRowInserted(InsertEvent event)`
`void` | `fireRowUpdated(UpdateEvent event)`
`protected java.util.Vector` | `getListeners()`
`protected com.sun.java.util.collections.ArrayList` | `getListenersList()`
`protected com.sun.java.util.collections.ArrayList` | `getManagementListenersList()`
`abstract java.lang.Class` | `getMessageBundleClass()` Internal: Applications should not use this method.
`java.lang.String` | `getName()`
`protected boolean` | `hasListeners()`
`protected boolean` | `hasManagementListeners()`
`void` | `removeListener(java.lang.Object target)`
`void` | `removeManagementListener(RowSetManagementListener target)`
`void` | `setName(java.lang.String name)`
`static void` | `updateNamedWhereParamValues(RowSet vo, VariableValueManager params, boolean executeIfNeeded)`

Methods inherited from class oracle.jbo.common.PropertiesHelper
`getProperties, getProperty, refreshProperty, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mName

    protected java.lang.String mName

### listeners

    protected com.sun.java.util.collections.ArrayList listeners

### mMgmtListeners

    protected com.sun.java.util.collections.ArrayList mMgmtListeners

Constructor Detail

### RowSetHelper

    public RowSetHelper()

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### getListenersList

    protected com.sun.java.util.collections.ArrayList getListenersList()

### getListeners

    protected java.util.Vector getListeners()

### hasListeners

    protected final boolean hasListeners()

### getManagementListenersList

    protected com.sun.java.util.collections.ArrayList getManagementListenersList()

### hasManagementListeners

    protected final boolean hasManagementListeners()

### addListener

    public void addListener(java.lang.Object target)

### removeListener

    public void removeListener(java.lang.Object target)

### addManagementListener

    public void addManagementListener(RowSetManagementListener target)

### removeManagementListener

    public void removeManagementListener(RowSetManagementListener target)

### fireRangeRefreshed

    public void fireRangeRefreshed(RangeRefreshEvent event)

### fireRangeScrolled

    public void fireRangeScrolled(ScrollEvent event)

### fireRowInserted

    public void fireRowInserted(InsertEvent event)

### fireRowDeleted

    public void fireRowDeleted(DeleteEvent event)

### fireRowUpdated

    public void fireRowUpdated(UpdateEvent event)

### fireNavigationEvent

    public void fireNavigationEvent(NavigationEvent event)

### fireMgmtIteratorReset

    public void fireMgmtIteratorReset(RowSetManagementEvent event)

### fireMgmtIteratorClosed

    public void fireMgmtIteratorClosed(RowSetManagementEvent event)

### getMessageBundleClass

    public abstract java.lang.Class getMessageBundleClass()

  Internal: Applications should not use this method.

  Returns the class of the reference object.

  Returns:
    the class of the reference object.

### updateNamedWhereParamValues

    public static void updateNamedWhereParamValues(RowSet vo,
                                                   VariableValueManager params,
                                                   boolean executeIfNeeded)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.